Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class WebAppTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.WebAppTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, WebAppType<T>

    public class WebAppTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, WebAppType<T>

This class implements the `web-appType` xsd type

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`WebAppTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`WebAppTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`AbsoluteOrderingType<WebAppType<T>>` | `absoluteOrdering()` Returns the `absolute-ordering` element
`ParamValueType<WebAppType<T>>` | `contextParam()` Returns the `context-param` element
`DataSourceType<WebAppType<T>>` | `dataSource()` Returns the `data-source` element
`WebAppType<T>` | `distributable()`
`EjbLocalRefType<WebAppType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<WebAppType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<WebAppType<T>>` | `envEntry()` Returns the `env-entry` element
`ErrorPageType<WebAppType<T>>` | `errorPage()` Returns the `error-page` element
`FilterType<WebAppType<T>>` | `filter()` Returns the `filter` element
`FilterMappingType<WebAppType<T>>` | `filterMapping()` Returns the `filter-mapping` element
`java.util.List<AbsoluteOrderingType<WebAppType<T>>>` | `getAbsoluteOrderingList()` Returns all `absolute-ordering` elements
`java.util.List<ParamValueType<WebAppType<T>>>` | `getContextParamList()` Returns all `context-param` elements
`java.util.List<DataSourceType<WebAppType<T>>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<WebAppType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<WebAppType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<WebAppType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<ErrorPageType<WebAppType<T>>>` | `getErrorPageList()` Returns all `error-page` elements
`java.util.List<FilterType<WebAppType<T>>>` | `getFilterList()` Returns all `filter` elements
`java.util.List<FilterMappingType<WebAppType<T>>>` | `getFilterMappingList()` Returns all `filter-mapping` elements
`java.util.List<IconType<WebAppType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JspConfigType<WebAppType<T>>>` | `getJspConfigList()` Returns all `jsp-config` elements
`java.util.List<ListenerType<WebAppType<T>>>` | `getListenerList()` Returns all `listener` elements
`java.util.List<LocaleEncodingMappingListType<WebAppType<T>>>` | `getLocaleEncodingMappingListList()` Returns all `locale-encoding-mapping-list` elements
`java.util.List<LoginConfigType<WebAppType<T>>>` | `getLoginConfigList()` Returns all `login-config` elements
`java.util.List<MessageDestinationType<WebAppType<T>>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<WebAppType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<MimeMappingType<WebAppType<T>>>` | `getMimeMappingList()` Returns all `mime-mapping` elements
`java.util.List<java.lang.String>` | `getModuleNameList()` Returns all `module-name` elements
`java.util.List<PersistenceContextRefType<WebAppType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<WebAppType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<WebAppType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<WebAppType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<WebAppType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<WebAppType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityConstraintType<WebAppType<T>>>` | `getSecurityConstraintList()` Returns all `security-constraint` elements
`java.util.List<SecurityRoleType<WebAppType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.util.List<ServletType<WebAppType<T>>>` | `getServletList()` Returns all `servlet` elements
`java.util.List<ServletMappingType<WebAppType<T>>>` | `getServletMappingList()` Returns all `servlet-mapping` elements
`java.util.List<SessionConfigType<WebAppType<T>>>` | `getSessionConfigList()` Returns all `session-config` elements
`WebAppVersionType` | `getVersion()` Returns the `version` element
`java.lang.String` | `getVersionAsString()` Returns the `version` element
`java.util.List<WelcomeFileListType<WebAppType<T>>>` | `getWelcomeFileListList()` Returns all `welcome-file-list` elements
`IconType<WebAppType<T>>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isDistributable()`
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`JspConfigType<WebAppType<T>>` | `jspConfig()` Returns the `jsp-config` element
`ListenerType<WebAppType<T>>` | `listener()` Returns the `listener` element
`LocaleEncodingMappingListType<WebAppType<T>>` | `localeEncodingMappingList()` Returns the `locale-encoding-mapping-list` element
`LoginConfigType<WebAppType<T>>` | `loginConfig()` Returns the `login-config` element
`MessageDestinationType<WebAppType<T>>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<WebAppType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MimeMappingType<WebAppType<T>>` | `mimeMapping()` Returns the `mime-mapping` element
`PersistenceContextRefType<WebAppType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<WebAppType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<WebAppType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<WebAppType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`WebAppType<T>` | `removeAllAbsoluteOrdering()` Removes all `absolute-ordering` elements
`WebAppType<T>` | `removeAllContextParam()` Removes all `context-param` elements
`WebAppType<T>` | `removeAllDataSource()` Removes all `data-source` elements
`WebAppType<T>` | `removeAllDescription()` Removes the `description` element
`WebAppType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`WebAppType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`WebAppType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`WebAppType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`WebAppType<T>` | `removeAllErrorPage()` Removes all `error-page` elements
`WebAppType<T>` | `removeAllFilter()` Removes all `filter` elements
`WebAppType<T>` | `removeAllFilterMapping()` Removes all `filter-mapping` elements
`WebAppType<T>` | `removeAllIcon()` Removes all `icon` elements
`WebAppType<T>` | `removeAllJspConfig()` Removes all `jsp-config` elements
`WebAppType<T>` | `removeAllListener()` Removes all `listener` elements
`WebAppType<T>` | `removeAllLocaleEncodingMappingList()` Removes all `locale-encoding-mapping-list` elements
`WebAppType<T>` | `removeAllLoginConfig()` Removes all `login-config` elements
`WebAppType<T>` | `removeAllMessageDestination()` Removes all `message-destination` elements
`WebAppType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`WebAppType<T>` | `removeAllMimeMapping()` Removes all `mime-mapping` elements
`WebAppType<T>` | `removeAllModuleName()` Removes the `module-name` element
`WebAppType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`WebAppType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`WebAppType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`WebAppType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`WebAppType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`WebAppType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`WebAppType<T>` | `removeAllSecurityConstraint()` Removes all `security-constraint` elements
`WebAppType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`WebAppType<T>` | `removeAllServlet()` Removes all `servlet` elements
`WebAppType<T>` | `removeAllServletMapping()` Removes all `servlet-mapping` elements
`WebAppType<T>` | `removeAllSessionConfig()` Removes all `session-config` elements
`WebAppType<T>` | `removeAllWelcomeFileList()` Removes all `welcome-file-list` elements
`WebAppType<T>` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`WebAppType<T>` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<WebAppType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<WebAppType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityConstraintType<WebAppType<T>>` | `securityConstraint()` Returns the `security-constraint` element
`SecurityRoleType<WebAppType<T>>` | `securityRole()` Returns the `security-role` element
`ServletType<WebAppType<T>>` | `servlet()` Returns the `servlet` element
`ServletMappingType<WebAppType<T>>` | `servletMapping()` Returns the `servlet-mapping` element
`SessionConfigType<WebAppType<T>>` | `sessionConfig()` Returns the `session-config` element
`WebAppType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`WebAppType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`WebAppType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`WebAppType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`WebAppType<T>` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`WebAppType<T>` | `setModuleName(java.lang.String moduleName)` Creates a new `module-name` element
`WebAppType<T>` | `setModuleNameList(java.lang.String... values)` Creates for all String objects representing `module-name` elements, a new `module-name` element
`WebAppType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`WebAppType<T>` | `setVersion(WebAppVersionType version)` Sets the `version` attribute
`T` | `up()`
`WelcomeFileListType<WebAppType<T>>` | `welcomeFileList()` Returns the `welcome-file-list` element

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppTypeImpl

    public WebAppTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### WebAppTypeImpl

    public WebAppTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### distributable

    public WebAppType<T> distributable()

  Specified by:
    `distributable` in interface `WebAppType<T>`

### isDistributable

    public java.lang.Boolean isDistributable()

  Specified by:
    `isDistributable` in interface `WebAppType<T>`

### removeAllContextParam

    public WebAppType<T> removeAllContextParam()

  Removes all `context-param` elements

  Specified by:
    `removeAllContextParam` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### contextParam

    public ParamValueType<WebAppType<T>> contextParam()

  Returns the `context-param` element

  Specified by:
    `contextParam` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `context-param`

### getContextParamList

    public java.util.List<ParamValueType<WebAppType<T>>> getContextParamList()

  Returns all `context-param` elements

  Specified by:
    `getContextParamList` in interface `WebAppType<T>`
  Returns:
    list of `context-param`

### removeAllFilter

    public WebAppType<T> removeAllFilter()

  Removes all `filter` elements

  Specified by:
    `removeAllFilter` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### filter

    public FilterType<WebAppType<T>> filter()

  Returns the `filter` element

  Specified by:
    `filter` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `filter`

### getFilterList

    public java.util.List<FilterType<WebAppType<T>>> getFilterList()

  Returns all `filter` elements

  Specified by:
    `getFilterList` in interface `WebAppType<T>`
  Returns:
    list of `filter`

### removeAllFilterMapping

    public WebAppType<T> removeAllFilterMapping()

  Removes all `filter-mapping` elements

  Specified by:
    `removeAllFilterMapping` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### filterMapping

    public FilterMappingType<WebAppType<T>> filterMapping()

  Returns the `filter-mapping` element

  Specified by:
    `filterMapping` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `filter-mapping`

### getFilterMappingList

    public java.util.List<FilterMappingType<WebAppType<T>>> getFilterMappingList()

  Returns all `filter-mapping` elements

  Specified by:
    `getFilterMappingList` in interface `WebAppType<T>`
  Returns:
    list of `filter-mapping`

### removeAllListener

    public WebAppType<T> removeAllListener()

  Removes all `listener` elements

  Specified by:
    `removeAllListener` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### listener

    public ListenerType<WebAppType<T>> listener()

  Returns the `listener` element

  Specified by:
    `listener` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `listener`

### getListenerList

    public java.util.List<ListenerType<WebAppType<T>>> getListenerList()

  Returns all `listener` elements

  Specified by:
    `getListenerList` in interface `WebAppType<T>`
  Returns:
    list of `listener`

### removeAllServlet

    public WebAppType<T> removeAllServlet()

  Removes all `servlet` elements

  Specified by:
    `removeAllServlet` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### servlet

    public ServletType<WebAppType<T>> servlet()

  Returns the `servlet` element

  Specified by:
    `servlet` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `servlet`

### getServletList

    public java.util.List<ServletType<WebAppType<T>>> getServletList()

  Returns all `servlet` elements

  Specified by:
    `getServletList` in interface `WebAppType<T>`
  Returns:
    list of `servlet`

### removeAllServletMapping

    public WebAppType<T> removeAllServletMapping()

  Removes all `servlet-mapping` elements

  Specified by:
    `removeAllServletMapping` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### servletMapping

    public ServletMappingType<WebAppType<T>> servletMapping()

  Returns the `servlet-mapping` element

  Specified by:
    `servletMapping` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `servlet-mapping`

### getServletMappingList

    public java.util.List<ServletMappingType<WebAppType<T>>> getServletMappingList()

  Returns all `servlet-mapping` elements

  Specified by:
    `getServletMappingList` in interface `WebAppType<T>`
  Returns:
    list of `servlet-mapping`

### removeAllSessionConfig

    public WebAppType<T> removeAllSessionConfig()

  Removes all `session-config` elements

  Specified by:
    `removeAllSessionConfig` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### sessionConfig

    public SessionConfigType<WebAppType<T>> sessionConfig()

  Returns the `session-config` element

  Specified by:
    `sessionConfig` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `session-config`

### getSessionConfigList

    public java.util.List<SessionConfigType<WebAppType<T>>> getSessionConfigList()

  Returns all `session-config` elements

  Specified by:
    `getSessionConfigList` in interface `WebAppType<T>`
  Returns:
    list of `session-config`

### removeAllMimeMapping

    public WebAppType<T> removeAllMimeMapping()

  Removes all `mime-mapping` elements

  Specified by:
    `removeAllMimeMapping` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### mimeMapping

    public MimeMappingType<WebAppType<T>> mimeMapping()

  Returns the `mime-mapping` element

  Specified by:
    `mimeMapping` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `mime-mapping`

### getMimeMappingList

    public java.util.List<MimeMappingType<WebAppType<T>>> getMimeMappingList()

  Returns all `mime-mapping` elements

  Specified by:
    `getMimeMappingList` in interface `WebAppType<T>`
  Returns:
    list of `mime-mapping`

### removeAllWelcomeFileList

    public WebAppType<T> removeAllWelcomeFileList()

  Removes all `welcome-file-list` elements

  Specified by:
    `removeAllWelcomeFileList` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### welcomeFileList

    public WelcomeFileListType<WebAppType<T>> welcomeFileList()

  Returns the `welcome-file-list` element

  Specified by:
    `welcomeFileList` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `welcome-file-list`

### getWelcomeFileListList

    public java.util.List<WelcomeFileListType<WebAppType<T>>> getWelcomeFileListList()

  Returns all `welcome-file-list` elements

  Specified by:
    `getWelcomeFileListList` in interface `WebAppType<T>`
  Returns:
    list of `welcome-file-list`

### removeAllErrorPage

    public WebAppType<T> removeAllErrorPage()

  Removes all `error-page` elements

  Specified by:
    `removeAllErrorPage` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### errorPage

    public ErrorPageType<WebAppType<T>> errorPage()

  Returns the `error-page` element

  Specified by:
    `errorPage` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `error-page`

### getErrorPageList

    public java.util.List<ErrorPageType<WebAppType<T>>> getErrorPageList()

  Returns all `error-page` elements

  Specified by:
    `getErrorPageList` in interface `WebAppType<T>`
  Returns:
    list of `error-page`

### removeAllJspConfig

    public WebAppType<T> removeAllJspConfig()

  Removes all `jsp-config` elements

  Specified by:
    `removeAllJspConfig` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### jspConfig

    public JspConfigType<WebAppType<T>> jspConfig()

  Returns the `jsp-config` element

  Specified by:
    `jspConfig` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `jsp-config`

### getJspConfigList

    public java.util.List<JspConfigType<WebAppType<T>>> getJspConfigList()

  Returns all `jsp-config` elements

  Specified by:
    `getJspConfigList` in interface `WebAppType<T>`
  Returns:
    list of `jsp-config`

### removeAllSecurityConstraint

    public WebAppType<T> removeAllSecurityConstraint()

  Removes all `security-constraint` elements

  Specified by:
    `removeAllSecurityConstraint` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### securityConstraint

    public SecurityConstraintType<WebAppType<T>> securityConstraint()

  Returns the `security-constraint` element

  Specified by:
    `securityConstraint` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `security-constraint`

### getSecurityConstraintList

    public java.util.List<SecurityConstraintType<WebAppType<T>>> getSecurityConstraintList()

  Returns all `security-constraint` elements

  Specified by:
    `getSecurityConstraintList` in interface `WebAppType<T>`
  Returns:
    list of `security-constraint`

### removeAllLoginConfig

    public WebAppType<T> removeAllLoginConfig()

  Removes all `login-config` elements

  Specified by:
    `removeAllLoginConfig` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### loginConfig

    public LoginConfigType<WebAppType<T>> loginConfig()

  Returns the `login-config` element

  Specified by:
    `loginConfig` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `login-config`

### getLoginConfigList

    public java.util.List<LoginConfigType<WebAppType<T>>> getLoginConfigList()

  Returns all `login-config` elements

  Specified by:
    `getLoginConfigList` in interface `WebAppType<T>`
  Returns:
    list of `login-config`

### removeAllSecurityRole

    public WebAppType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Specified by:
    `removeAllSecurityRole` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### securityRole

    public SecurityRoleType<WebAppType<T>> securityRole()

  Returns the `security-role` element

  Specified by:
    `securityRole` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    public java.util.List<SecurityRoleType<WebAppType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Specified by:
    `getSecurityRoleList` in interface `WebAppType<T>`
  Returns:
    list of `security-role`

### removeAllMessageDestination

    public WebAppType<T> removeAllMessageDestination()

  Removes all `message-destination` elements

  Specified by:
    `removeAllMessageDestination` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### messageDestination

    public MessageDestinationType<WebAppType<T>> messageDestination()

  Returns the `message-destination` element

  Specified by:
    `messageDestination` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    public java.util.List<MessageDestinationType<WebAppType<T>>> getMessageDestinationList()

  Returns all `message-destination` elements

  Specified by:
    `getMessageDestinationList` in interface `WebAppType<T>`
  Returns:
    list of `message-destination`

### removeAllLocaleEncodingMappingList

    public WebAppType<T> removeAllLocaleEncodingMappingList()

  Removes all `locale-encoding-mapping-list` elements

  Specified by:
    `removeAllLocaleEncodingMappingList` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### localeEncodingMappingList

    public LocaleEncodingMappingListType<WebAppType<T>> localeEncodingMappingList()

  Returns the `locale-encoding-mapping-list` element

  Specified by:
    `localeEncodingMappingList` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `locale-encoding-mapping-list`

### getLocaleEncodingMappingListList

    public java.util.List<LocaleEncodingMappingListType<WebAppType<T>>> getLocaleEncodingMappingListList()

  Returns all `locale-encoding-mapping-list` elements

  Specified by:
    `getLocaleEncodingMappingListList` in interface `WebAppType<T>`
  Returns:
    list of `locale-encoding-mapping-list`

### setDescription

    public WebAppType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### setDescriptionList

    public WebAppType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `WebAppType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `WebAppType`

### removeAllDescription

    public WebAppType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `WebAppType<T>`
  Returns:
    list of `description`

### setDisplayName

    public WebAppType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### setDisplayNameList

    public WebAppType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `WebAppType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `WebAppType`

### removeAllDisplayName

    public WebAppType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `WebAppType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public WebAppType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### icon

    public IconType<WebAppType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<WebAppType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `WebAppType<T>`
  Returns:
    list of `icon`

### removeAllEnvEntry

    public WebAppType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### envEntry

    public EnvEntryType<WebAppType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<WebAppType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `WebAppType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public WebAppType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### ejbRef

    public EjbRefType<WebAppType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<WebAppType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `WebAppType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public WebAppType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### ejbLocalRef

    public EjbLocalRefType<WebAppType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<WebAppType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `WebAppType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public WebAppType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### resourceRef

    public ResourceRefType<WebAppType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<WebAppType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `WebAppType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public WebAppType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### resourceEnvRef

    public ResourceEnvRefType<WebAppType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<WebAppType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `WebAppType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public WebAppType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### messageDestinationRef

    public MessageDestinationRefType<WebAppType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<WebAppType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `WebAppType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public WebAppType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### persistenceContextRef

    public PersistenceContextRefType<WebAppType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<WebAppType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `WebAppType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public WebAppType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### persistenceUnitRef

    public PersistenceUnitRefType<WebAppType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<WebAppType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `WebAppType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public WebAppType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### postConstruct

    public LifecycleCallbackType<WebAppType<T>> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<WebAppType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `WebAppType<T>`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public WebAppType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### preDestroy

    public LifecycleCallbackType<WebAppType<T>> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<WebAppType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `WebAppType<T>`
  Returns:
    list of `pre-destroy`

### removeAllDataSource

    public WebAppType<T> removeAllDataSource()

  Removes all `data-source` elements

  Specified by:
    `removeAllDataSource` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### dataSource

    public DataSourceType<WebAppType<T>> dataSource()

  Returns the `data-source` element

  Specified by:
    `dataSource` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    public java.util.List<DataSourceType<WebAppType<T>>> getDataSourceList()

  Returns all `data-source` elements

  Specified by:
    `getDataSourceList` in interface `WebAppType<T>`
  Returns:
    list of `data-source`

### setVersion

    public WebAppType<T> setVersion(WebAppVersionType version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `WebAppType<T>`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebAppType`

### setVersion

    public WebAppType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `WebAppType<T>`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebAppType`

### removeVersion

    public WebAppType<T> removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### getVersion

    public WebAppVersionType getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `version`

### getVersionAsString

    public java.lang.String getVersionAsString()

  Returns the `version` element

  Specified by:
    `getVersionAsString` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `version`

### setMetadataComplete

    public WebAppType<T> setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Specified by:
    `setMetadataComplete` in interface `WebAppType<T>`
  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `WebAppType`

### removeMetadataComplete

    public WebAppType<T> removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Specified by:
    `removeMetadataComplete` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### isMetadataComplete

    public java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Specified by:
    `isMetadataComplete` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `metadata-complete`

### setModuleName

    public WebAppType<T> setModuleName(java.lang.String moduleName)

  Creates a new `module-name` element

  Specified by:
    `setModuleName` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### setModuleNameList

    public WebAppType<T> setModuleNameList(java.lang.String... values)

  Creates for all String objects representing `module-name` elements, a new `module-name` element

  Specified by:
    `setModuleNameList` in interface `WebAppType<T>`
  Parameters:
    `list` - of `module-name` objects
  Returns:
    the current instance of `WebAppType`

### removeAllModuleName

    public WebAppType<T> removeAllModuleName()

  Removes the `module-name` element

  Specified by:
    `removeAllModuleName` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### getModuleNameList

    public java.util.List<java.lang.String> getModuleNameList()

  Returns all `module-name` elements

  Specified by:
    `getModuleNameList` in interface `WebAppType<T>`
  Returns:
    list of `module-name`

### removeAllAbsoluteOrdering

    public WebAppType<T> removeAllAbsoluteOrdering()

  Removes all `absolute-ordering` elements

  Specified by:
    `removeAllAbsoluteOrdering` in interface `WebAppType<T>`
  Returns:
    the current instance of `WebAppType`

### absoluteOrdering

    public AbsoluteOrderingType<WebAppType<T>> absoluteOrdering()

  Returns the `absolute-ordering` element

  Specified by:
    `absoluteOrdering` in interface `WebAppType<T>`
  Returns:
    the node defined for the element `absolute-ordering`

### getAbsoluteOrderingList

    public java.util.List<AbsoluteOrderingType<WebAppType<T>>> getAbsoluteOrderingList()

  Returns all `absolute-ordering` elements

  Specified by:
    `getAbsoluteOrderingList` in interface `WebAppType<T>`
  Returns:
    list of `absolute-ordering`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD